## siggen 2.3.10

=== Makefile ===
#
# Makefile for jj's siggen  .....

SHELL		= /bin/sh

# Version of siggen

V	= 2.3

# Edit PROGS to make the programs you want. You may wish to omit smix
#  if you do not want yet another mixer program.
PROGS		= tones sgen swgen siggen sweepgen fsynth soundinfo smix

#
TEXTS		= tones.txt sgen.txt swgen.txt siggen.txt sweepgen.txt soundinfo.txt smix.txt fsynth.txt siggen.conf.txt

#
# simple command line programs......
TONES		= tones.o tonesgen.o generator.o misc.o wavfile.o wavsubs.o DAC.o configsubs.o
SGEN		= sgen.o generator.o misc.o wavfile.o wavsubs.o DAC.o configsubs.o
SWGEN		= swgen.o generator.o misc.o wavfile.o wavsubs.o DAC.o configsubs.o
SMIX		= smix.o mixer.o configsubs.o
#
# curses based programs......
FSYNTH		= fsynth.o fsynscr.o scrsubs.o generator.o misc.o DAC.o scfio.o configsubs.o
SIGGEN		= siggen.o sigscr.o scrsubs.o generator.o misc.o DAC.o scfio.o configsubs.o
SWEEPGEN	= sweepgen.o sweepscr.o scrsubs.o generator.o misc.o DAC.o scfio.o configsubs.o
#
srcdir		= .
includedir	= /usr/include/ncurses
INSDIR		= /usr/local/bin
MANDIR		= /usr/local/man
LOCALINS	= $(HOME)/bin
LOCALMAN	= $(HOME)/man

CC		= gcc
CFLAGS		=  -O2  
CPPFLAGS	= -I. -I$(includedir)

CCFLAGS		= $(CFLAGS) $(CPPFLAGS)

LINK		= $(CC)
LDFLAGS		= -lncurses -lm

.c.o:	config.h
	$(CC) -c $(CCFLAGS) $<

all:	$(PROGS) $(TEXTS) 

text:	$(TEXTS)

%.txt:	%.5
	nroff -man $< | col -b -x > $@

%.txt:	%.1
	nroff -man $< | col -b -x > $@

mixer.o:	mixer.c mixer.h

smix.o:		smix.c mixer.h config.h

scfio.o:	scfio.c scfio.h

scrsubs.o:	scrsubs.c scfio.h config.h

sigscr.o:	sigscr.c scfio.h config.h siggen.h

sigscr-1.o:	sigscr-1.c scfio.h config.h

sweepscr.o:	sweepscr.c scfio.h config.h sweepgen.h

fsynscr.o:	fsynscr.c scfio.h fsynth.h config.h

fsynth.o:	fsynth.c fsynth.h config.h

install:
	@echo "2 install options :-"
	@echo "    make sysinstall"
	@echo "         into $(INSDIR) and $(MANDIR)"
	@echo "    make localinstall"
	@echo "         into $(LOCALINS) and $(LOCALMAN)"

localinstall: $(PROGS)
	@strip $(PROGS)
	@chmod 755 $(PROGS)
	@echo "Copying $(PROGS) to $(LOCALINS)"
	@cp -p $(PROGS) $(LOCALINS)
	@for n in $(PROGS) ; do \
	chmod 644 $$n.1 ; \
	echo "Copying $$n.1 to $(LOCALMAN)/man1/$$n.1" ; \
	cp -p $$n.1 $(LOCALMAN)/man1/$$n.1 ; \
	done
	@cp -p siggen.conf.5 $(LOCALMAN)/man5
	@chmod 644 $(LOCALMAN)/man5/siggen.conf.5

sysinstall: $(PROGS)
	@strip $(PROGS)
	@chmod 755 $(PROGS)
	@echo "Copying $(PROGS) to $(INSDIR)"
	@cp -p $(PROGS) $(INSDIR)
	@for n in $(PROGS) ; do \
	chmod 644 $$n.1 ; \
	echo "Copying $$n.1 to $(MANDIR)/man1/$$n.1" ; \
	cp -p $$n.1 $(MANDIR)/man1/$$n.1 ; \
	done
	@cp -p siggen.conf.5 $(MANDIR)/man5
	@chmod 644 $(MANDIR)/man5/siggen.conf.5

nodac:
	make -f Makefile.NODAC all

vu:	$(VU)
	$(CC)  $(VU) -o $@

soundinfo:	soundinfo.o
	$(CC)  $@.o -o $@

sgen:	$(SGEN)
	$(CC)  $(SGEN) -lm -o $@

swgen:	$(SWGEN)
	$(CC)  $(SWGEN) -lm -o $@

tones:	$(TONES)
	$(CC)  $(TONES) -lm -o $@

fsynth:	$(FSYNTH) fsynth.h
	$(CC) $(FSYNTH) $(LDFLAGS) -o $@

siggen:	$(SIGGEN) siggen.h
	$(CC) $(SIGGEN) $(LDFLAGS) -o $@

siggen-1: $(SIGGEN1) siggen.h
	$(CC) -DVERSION1 $(SIGGEN1) $(LDFLAGS) -o $@

sweepgen: $(SWEEPGEN) sweepgen.h
	$(CC) $(SWEEPGEN) $(LDFLAGS) -o $@

smix:	$(SMIX) mixer.h
	$(CC) $(SMIX) $(LDFLAGS) -o $@

clean:
	rm -rf *.o $(PROGS) $(TEXTS) *~ 

dist:
	make clean
	(cd tones.eg; make clean)
	(cd contrib; make clean)
	(d=`basename $$PWD` ; cd .. ; tar cfz $$d.tgz $$d)

=== tones.eg/Makefile ===
#
# Makefile for jj's siggen tones.eg files  .....

SHELL		= /bin/sh

# Edit PROGS to make the programs you want. You may wish to omit smix
#  if you do not want yet another mixer program.
PROGS		= randtone randnote ramp shepard-risset

# Edit SAMPLES to make the 1Hz + harmonic mixes to simulate different
#  instrument tones.
SAMPLES		= flute organ

#
srcdir		= .
includedir	= /usr/include/ncurses
INSDIR		= /usr/local/bin
MANDIR		= /usr/local/man/man1
LOCALINS	= $(HOME)/bin
LOCALMAN	= $(HOME)/man/man1

CC		= gcc
CFLAGS		=  -O2  
CPPFLAGS	= -I. -I$(includedir)

CCFLAGS		= $(CFLAGS) $(CPPFLAGS)

LINK		= $(CC)
LDFLAGS		= -lncurses -lgpm -lm

.c.o:
	$(CC) -c $(CCFLAGS) $<

all:	$(PROGS)
	(cd samples ; make )

%.txt:	%.1
	nroff -man $< | col -b -x > $@

randtone:	randtone.o
	$(CC)  $@.o -o $@

randnote:	randnote.o
	$(CC)  $@.o -o $@

ramp:	ramp.o
	$(CC)  $@.o -o $@

shepard-risset:	shepard-risset.o
	$(CC)  $@.o -o $@ -lm

flute:	$@.notes
	../tones -ch 20 -i $@.tones -w samples/$@.wav -v

organ:	
	../tones -ch 20 -i $@.tones -w samples/$@.wav -v

clean:
	rm -rf *.o $(PROGS) *~
	( cd samples ; make clean )

=== tones.eg/samples/Makefile ===
#
# Makefile for jj's siggen tones.eg/samples files  .....

SHELL		= /bin/sh

# Edit SAMPLES to make the 1Hz + harmonic mixes to simulate different
#  instrument tones.
SAMPLES		= flute.wav organ.wav bassoon.wav bassoonp.wav violin.wav horn.wav att.wav

#
all:	$(SAMPLES)

%.wav:	%.tones
	../../tones -v -i $< -ch 20 -f -w $@ sin

clean:
	rm -rf $(SAMPLES) *~

=== debian/changelog ===
siggen (2.3.10-11) unstable; urgency=medium

  * update watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Dec 2020 00:13:30 +0100

siggen (2.3.10-10) unstable; urgency=medium

  * fix FTBFS with gcc10 (Closes: #957791)
  * fix more spelling errors detected by lintian
  * debian/control: use dh12
  * debian/control: bump standard to 4.5.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 06 Aug 2020 18:13:30 +0200

siggen (2.3.10-9) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Thanks to Helmut Grohne for the patch) (Closes: #923571)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 02 Mar 2019 19:51:09 +0100

siggen (2.3.10-8) sid; urgency=medium

  * debian/control: bump standard to 4.3.0 (no changes)
  * debian/control: switch to dh11
  * debian/control: add salsa VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 05 Jan 2019 19:51:09 +0100

siggen (2.3.10-7) unstable; urgency=medium

  * disable -load in siggen.c and sweepgen.c (Closes: #716365)
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: switch to dh10

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 08 Sep 2017 22:51:09 +0200

siggen (2.3.10-6) unstable; urgency=medium

  * debian/rules: standard moved to 3.9.6 (no changes)
  * remove bashism from script (Closes: #772364)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 23 Sep 2015 22:51:09 +0200

siggen (2.3.10-5) unstable; urgency=low

  * new maintainer (closes: #628941)
  * debian/rules: remove explicit patch targets
  * debian/rules: replace dh_clean -k by dh_prep
  * debian/rules: build-arch and build-indep introduced
  * debian/rules: standard moved to 3.9.3 (no changes)
  * debian/watch: added, but not working with upstreams website
  * debian/control: dependency on quilt removed
  * debian/control: no public vcs available
  * debian/control: moved to dh 9
  * debian/patches: add header
  * debian/source/format: 3.0 (quilt) introduced

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Mar 2012 18:51:09 +0100

siggen (2.3.10-4) unstable; urgency=low

  * QA upload
  * Fix identifier name conflict on freebsd

 -- Christoph Egger <christoph@debian.org>  Tue, 29 Nov 2011 15:29:26 +0100

siggen (2.3.10-3) unstable; urgency=low

  * QA upload.
  * Fix "please make siggen depends on oss-compat": add oss-compat to Depends;
    thanks to Michael Tsang and Daniel T Chen.
    (Closes: #628590)
  * Fix "FTBFS on !linux-any": add patch non-linux-diff from Samuel Thibault.
    (Closes: #636809)
  * Fix "typo in package description"; thanks to Davide Prina.
    (Closes: #628985)
  * Add {misc:Depends} to Depends:.
  * Set Maintainer to Debian QA Group <packages@qa.debian.org> (cf. #628941).

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Nov 2011 18:28:42 +0100

siggen (2.3.10-2) unstable; urgency=low

  * Fix segmentation fault on amd64, thanks to Jim Paris.
    (Closes: #522461)
  * Use quilt instead of dpatch for patches, and describe how to use
    quilt in Debian.source (thanks to Russ Allbery).
  * Added a Vcs-Hg control filed to indicate the location of the public
    repository.
  * Bumped the Standards-Version to 3.8.1.

 -- Jens Peter Secher <jps@debian.org>  Sat, 04 Apr 2009 22:57:38 +0200

siggen (2.3.10-1) unstable; urgency=low

  * New upstream release.
    (Closes: #470767)
  * Removed patches which are now included upstream.

 -- Jens Peter Secher <jps@debian.org>  Mon, 12 May 2008 22:05:48 +0200

siggen (2.3.9-2) unstable; urgency=low

  * Rename sgen to signalgen since Mono already has an executable called
    sgen.
    (Closes: #475963)

 -- Jens Peter Secher <jps@debian.org>  Sat, 26 Apr 2008 12:13:21 +0200

siggen (2.3.9-1) unstable; urgency=low

  * Initial package.
    (Closes: #469993)

 -- Jens Peter Secher <jps@debian.org>  Sat, 08 Mar 2008 10:43:46 +0100

=== debian/control ===
Source: siggen
Section: sound
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12)
	, libncurses-dev
Homepage: http://www.comp.leeds.ac.uk/jj/linux/siggen.html
Vcs-Browser: https://salsa.debian.org/alteholz/siggen
Vcs-Git: https://salsa.debian.org/alteholz/siggen.git

Package: siggen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, oss-compat
Description: Waveform generation tools
 a set of tools for imitating a laboratory Signal Generator,
 generating audio signals out of Linux's /dev/dsp audio device.  There
 is support for mono and/or stereo and 8 or 16 bit samples.  The tools
 include:
 .
  * soundinfo: display some of the programming capabilities of the
 sound system support for the mixer device /dev/mixer and the DSP
 device.  Also shows some of the ioctl calls in action.
 .
  * signalgen: a command line signal generator where details are specified
 from the command line for generating sine, cos, square, triangle,
 sawtooth, pulse, noise waves.  Frequency, sample rate, relative
 amplitude etc. can be specified through command line options.  The
 signal is played continuously until the program is stopped.  There
 are options to save the basic raw digital samples raw to file or to a
 WAVE format file.
 .
  * swgen: a command line sweep generator.  Both the sweeping and
 swept waveforms can be specified, along with the sweeping frequency
 and the swept frequency range.  Otherwise similar to sgen above.
 .
  * siggen: an Ncurses screen based Signal Generator for two separate
 channels.  On stereo audio cards the two channels are played on
 separate outputs.  On mono cards the two channels are digitally mixed
 onto the one output.  Type of waveform, frequency, amplitude, sample
 rate etc are specified/changed via a screen menu.  It plays
 continuously.  Changes to parameters take effect nearly immediately.
 .
  * sweepgen: an Ncurses screen based Sweep generator (see swgen and
 siggen above).
 .
  * tones: a command line program to generate several successive tones
 of varying frequency, and optional differing waveforms, durations and
 intensities.  The sequence of tones can be either played once, or
 repetitively or the samples can be written to a file in raw or WAV
 format.  This could make the basis of an auto-dialer for tone phones.
 .
  * smix: a simple command line program for getting and setting the
 mixer settings.
 .
  * fsynth: an Ncurses based fourier synthesis realtime generator.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for siggen.
# Written by Jens Peter Secher <jps@debian.org>.

# General compile options.
cflags := -g
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	cflags += -O2
else
	cflags += -O0
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_auto_build -- CFLAGS="$(cflags)" tones signalgen swgen siggen sweepgen fsynth soundinfo smix
	touch $@

install-stamp: build
	dh_testdir
	dh_testroot
	dh_prep
	cp -f $(CURDIR)/sgen.1 $(CURDIR)/signalgen.1
	dh_installman
	dh_install
	touch $@

binary-indep:

binary-arch: install-stamp
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs CHANGES
	dh_installexamples
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

clean-patched:
	dh_testdir
	dh_testroot
	-rm -f $(CURDIR)/*-stamp
	rm -f  $(CURDIR)/signalgen.1
	$(MAKE) clean
	dh_clean

clean: clean-patched

.PHONY: binary binary-indep binary-archbuild build clean clean-patched

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

#version=3
#
# there is no real versioning on the upstream website
# http://www.comp.leeds.ac.uk/jj/linux/siggen.html
